CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

自动捕捉标记属性 (ActiveX)

2023-1-3 22:07| 发布者: admin| 查看: 574| 评论: 0|来自: AutoCAD

摘要: 切换自动贴靠标记。

切换自动贴靠标记。

支持的平台:仅窗口

签名

工 务 局:

object.AutoSnapMarker
对象

类型:首选项起草

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:启用自动捕捉标记。
  • False:禁用自动捕捉标记。

言论

此属性的初始值为 True。

注意:此属性的值存储在自动贴靠系统变量中。

例子

工 务 局:

Sub Example_AutoSnapMarker()
    ' This example reads and modifies the preference value that controls
    ' the AutoSnap marker.  When finished, this example resets the
    ' preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDrafting
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the drafting preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Drafting
    
    ' Read and display the original value
    originalValue = ACADPref.AutoSnapMarker
    MsgBox "The AutoSnapMarker preference is set to: " & originalValue

    ' Modify the AutoSnapMarker preference by toggling the value
    ACADPref.AutoSnapMarker = Not (originalValue)
    newValue = ACADPref.AutoSnapMarker
    MsgBox "The AutoSnapMarker preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.AutoSnapMarker = originalValue
    MsgBox "The AutoSnapMarker preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AutoSnapMarker()
    ;; This example reads and modifies the preference value that controls
    ;; the AutoSnap marker.  When finished, this example resets the
    ;; preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the drafting preferences object
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-AutoSnapMarker ACADPref))
    (alert (strcat "The AutoSnapMarker preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the AutoSnapMarker preference by toggling the value
    (vla-put-AutoSnapMarker ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-AutoSnapMarker ACADPref))
    (alert (strcat "The AutoSnapMarker preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-AutoSnapMarker ACADPref originalValue)
    (alert (strcat "The AutoSnapMarker preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 19:22

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部